fixes for comments
authorIan Kelling <iank@fsf.org>
Fri, 18 Oct 2019 16:45:17 +0000 (12:45 -0400)
committerIan Kelling <iank@fsf.org>
Fri, 18 Oct 2019 16:45:17 +0000 (12:45 -0400)
_site/cgi/comment
get-comments
set-comments

index 149799447b0afee0640d587c226d502cd43f8a31..bf3cf5bad4d46fe1e6cb9fe579bda9f0af384a00 100755 (executable)
@@ -1,19 +1,7 @@
 #!/usr/bin/env ruby
 # encoding: utf-8
 #!/usr/bin/env ruby
 # encoding: utf-8
-# Copyright (C) 2016 Ian Kelling
-
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 2 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# Copyright (C) 2019 Ian Kelling
+# SPDX-License-Identifier: AGPL-3.0-or-later
 
 # debian sets LANG=C when starting apache2.
 # the envoding comment above fixes the internal encoding afaik,
 
 # debian sets LANG=C when starting apache2.
 # the envoding comment above fixes the internal encoding afaik,
@@ -311,13 +299,13 @@ new_count = new_count[0][0]
 
 if new_count == 1
   require 'net/smtp'
 
 if new_count == 1
   require 'net/smtp'
-  to = 'root@' + FQDN
+  to = 'root@localhost'
   from = 'www-data@' + FQDN
   server = 'localhost'
   msg = <<END_OF_MESSAGE
 From: h <#{from}>
 To: <#{to}>
   from = 'www-data@' + FQDN
   server = 'localhost'
   msg = <<END_OF_MESSAGE
 From: h <#{from}>
 To: <#{to}>
-Subject: "new comment on #{FQDN}"
+Subject: new comment on #{FQDN}
 
 empty body
 END_OF_MESSAGE
 
 empty body
 END_OF_MESSAGE
index 541ce3cf9771dd717d514f1fe205175f501e6e94..36563b84afa7e5783648f43f7628dfed9c3330ca 100755 (executable)
@@ -20,7 +20,7 @@ trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
 cd "${BASH_SOURCE%/*}/proposed-comments"
 
 all=false
 cd "${BASH_SOURCE%/*}/proposed-comments"
 
 all=false
-shell="ssh $(chost iankelling.org)"
+shell="ssh iankelling.org"
 while [[ $1 ]]; do
     case $1 in
         -a) all=true; shift ;;
 while [[ $1 ]]; do
     case $1 in
         -a) all=true; shift ;;
index c503aec0a93ea62c37ce3b3939524c0f49e31575..8cb7029a2ec6e3914a64189134603f1b725eff7e 100755 (executable)
@@ -20,7 +20,7 @@ trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
 cd "${BASH_SOURCE%/*}/proposed-comments"
 
 
 cd "${BASH_SOURCE%/*}/proposed-comments"
 
 
-shell="ssh -oStrictHostKeyChecking=no $(chost iankelling.org)"
+shell="ssh -oStrictHostKeyChecking=no iankelling.org"
 while [[ $1 ]]; do
     case $1 in
         -l) shell= ; shift ;; # -l  for local
 while [[ $1 ]]; do
     case $1 in
         -l) shell= ; shift ;; # -l  for local